list.linkedlist

## Class LinkedListFactory

- java.lang.Object
- - list.linkedlist.LinkedListFactory

- All Implemented Interfaces:
    ListFactory

      public class LinkedListFactory
      extends java.lang.Object
      implements ListFactory

  Továrna na základní typy spojových seznamů.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedListFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `createList(int size)` Vyrobí seznam.
    `QueueList` | `createQueueList(int size)` Vyrobí seznam, který se dá použít k implementaci fronty.
    `StackList` | `createStackList(int size)` Vyrobí seznam, který se dá použít k implementaci zásobníku.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkedListFactory

          public LinkedListFactory()

  - ### Method Detail

    - #### createStackList

          public StackList createStackList(int size)

      Description copied from interface: `ListFactory`
      Vyrobí seznam, který se dá použít k implementaci zásobníku.
      Specified by:
        `createStackList` in interface `ListFactory`
      Parameters:
        `size` - kapacita seznamu
      Returns:
        nově vytvořený seznam

    - #### createQueueList

          public QueueList createQueueList(int size)

      Description copied from interface: `ListFactory`
      Vyrobí seznam, který se dá použít k implementaci fronty.
      Specified by:
        `createQueueList` in interface `ListFactory`
      Parameters:
        `size` - kapacita seznamu
      Returns:
        nově vytvořený seznam

    - #### createList

          public List createList(int size)

      Description copied from interface: `ListFactory`
      Vyrobí seznam.
      Specified by:
        `createList` in interface `ListFactory`
      Parameters:
        `size` - kapacita seznamu
      Returns:
        nově vytvořený seznam